"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.recommended = exports.plugin = exports.rules = void 0;
const enforce_column_types_js_1 = __importDefault(require("./rules/enforce-column-types.js"));
const enforce_consistent_nullability_js_1 = __importDefault(require("./rules/enforce-consistent-nullability.js"));
const enforce_relation_types_js_1 = __importDefault(require("./rules/enforce-relation-types.js"));
const recommended_js_1 = __importDefault(require("./recommended.js"));
exports.recommended = recommended_js_1.default;
exports.rules = {
    'enforce-column-types': enforce_column_types_js_1.default,
    'enforce-consistent-nullability': enforce_consistent_nullability_js_1.default,
    'enforce-relation-types': enforce_relation_types_js_1.default,
};
exports.plugin = {
    meta: {
        name: 'eslint-plugin-typeorm-typescript',
        version: '0.4.0',
    },
    rules: exports.rules,
};
exports.default = exports.plugin;
