import { ESLintUtils } from '@typescript-eslint/utils';
type ErrorMessages = 'typescript_typeorm_missing_nullability' | 'typescript_typeorm_superfluous_nullability' | 'typescript_typeorm_set_nullable' | 'typescript_typeorm_remove_nullable';
type SpecifyNullability = 'always' | 'non-default';
type Options = [
    {
        specifyNullable: SpecifyNullability;
    }
];
declare const enforceConsistentNullability: ESLintUtils.RuleModule<ErrorMessages, Options, unknown, ESLintUtils.RuleListener>;
export default enforceConsistentNullability;
