import { TSESTree } from '@typescript-eslint/utils';
export declare function findDecoratorArguments(decorators: TSESTree.Decorator[] | undefined, name: string): TSESTree.CallExpressionArgument[] | undefined;
export declare function findEitherDecoratorArguments<T extends string>(decorators: TSESTree.Decorator[] | undefined, relationTypes: T[]): [T, TSESTree.CallExpressionArgument[]] | undefined;
export declare function findParentClass(node: TSESTree.PropertyDefinition): TSESTree.ClassDeclaration | undefined;
export declare function findReturnedValue(node: TSESTree.Node | undefined): string | undefined;
export declare function findObjectArgument(args?: TSESTree.CallExpressionArgument[] | undefined): TSESTree.CallExpressionArgument | undefined;
export declare function parseObjectLiteral(objectLiteral: TSESTree.Node | undefined): Record<string, unknown>;
